#ifndef _String_h_
#define _String_h_

#include "ygNode.h"


class String : public ygNode
    {
    public:
     String(const char* name,bool master=true);
     ~String(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    protected:
     ygString netString;
     int length;
    private:
     void checkChanged(void);
     ygString lastString;
    };


#endif
