#ifndef _pathFollower_h_
#define _pathFollower_h_

#include "ygTransform.h"

class pathFollower : public ygTransform
    {
    public:
     pathFollower(const char* name,bool master=true);
     ~pathFollower(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
         void loadPath(const ygString& file);
         void setDuration(float d);
         void start(void);
         void stop(void);
         void interpolate(float t);
    private:
     struct _pathFollowerPrivateData * p_;
    };

#endif
