#ifndef _nodeMessages_h_
#define _nodeMessages_h_

#include "ygNode.h"

class nodeMessages : public ygNode
    {
    public:
     nodeMessages(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    protected:
     void checkNode(void);
     void checkMessages(void);
     void checkManipulate(void);
     void checkMap(void);
     void checkEvents(void);
     ygNode* node;
     ygString nodeName;
     ygString lastNode;
     ygString messageName;
     ygString lastMessage;
     bool manipulate;
     bool grab;
     std::map<ygString,std::vector<std::vector<ygString> > > manipulateMap;
    };

#endif
