#ifndef _pointAtTrigger_h_
#define _pointAtTrigger_h_

#include "ygNode.h"
#include <set>

using namespace std;

class pointAtTrigger : public ygNode
    {
    public:
     pointAtTrigger(const char* name,bool master=true);
     ~pointAtTrigger(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     bool pointingAtMe(const class ygWand*,const pfMatrix&,pfHit***) const;
     set<ygWand*> prevpointing;
     float distance;
     int isectType;
     bool debugPointing;
     bool local;
    };


#endif
