#ifndef _geometrySwitch_h_
#define _geometrySwitch_h_

#include "ygNode.h"

#define DRAW_OFF 0
#define DRAW_ON 1
#define DRAW_LOCAL 2
#define DRAW_REMOTE 3

class geometrySwitch : public ygNode
    {
    public:
     geometrySwitch(const char* name,bool master=true);
     ~geometrySwitch(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     void setDraw(int);
     void setIntersect(int);
    protected:
     int draw;
     int isect;
    private:
    };

extern "C" ygNode* construct_geometrySwitch(const char* name,bool master);

#endif
