#ifndef _mover_h_
#define _mover_h_

#include <ygTransform.h>

class mover : public ygTransform
    {
    public:
     mover(const char* name,bool master=true);
     ~mover(void);
     void setStartPosition(const pfVec3&);
     void setStartOrientation(const pfVec3&);
     void setEndPosition(const pfVec3&);
     void setEndOrientation(const pfVec3&);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    protected:
     typedef struct
        {
        pfVec3 pos;
        pfVec3 ori;
        pfQuat quat;
        } ygPosQuat;
     ygPosQuat posQuat;
     ygPosQuat startPosQuat;
     ygPosQuat endPosQuat;
     float position;
    };

#endif
