#ifndef _stencilBuffer_h_
#define _stencilBuffer_h_

#include "ygNode.h"

typedef struct _stencilData stencilData_t;

class stencilBuffer : public ygNode
    {
    public:
     static int writePreDraw(pfTraverser*,void *data);
     static int writePostDraw(pfTraverser*,void *data);
     static int stencilPreDraw(pfTraverser*,void *data);
     static int stencilPostDraw(pfTraverser*,void *data);
     static int clonePreDraw(pfTraverser*,void *data);
     static int clonePostDraw(pfTraverser*,void *data);
     stencilBuffer(const char* name,bool master=true);
     ~stencilBuffer(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     void setStencilNode(const ygString&);
    private:
     ygString nodeName;
     ygNode* stencilNode;
     pfGroup* clone;
     stencilData_t* data_;
    };


#endif
