#ifndef _ygParser_h_
#define _ygParser_h_

#include "ygString.h"
#include <map>
#include <list>

using namespace std;

class ygNode;
class ygTokenStream;
class ygMessage;

class ygParser
    {
    public:
     ygParser(void);
     void clear(void);
     void parseFile(const ygString&,ygNode*,bool preprocess=true);
     void replaceInitMessages(ygNode*);
     void replaceMessageName(ygMessage*);
    private:
     list<ygNode*> nodeList;
     map<ygString,ygString> replaceMap;
     ygNode * parseNode(const ygString&,ygTokenStream*);
     void parseInitMessages(ygNode *,ygString&);
    };


#endif
